Bug 730014 - Bad symbols version in libtevent in F15
Summary: Bad symbols version in libtevent in F15
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libtevent
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 14:31 UTC by Simo Sorce
Modified: 2011-09-09 05:30 UTC (History)
3 users (show)

Fixed In Version: sssd-1.5.13-1.fc15.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-09 05:30:31 UTC


Attachments (Terms of Use)

Description Simo Sorce 2011-08-11 14:31:13 UTC
Due to an upstream bug when 0.9.10 was released symbol versions in F15 libtevent are wrong and set to TEVENT_0.9.10, all subsequent releases have a fix and mark the symbols with version TEVENT_0.9.9 (this is what most symbols are marked with in F16 libtevent 0.9.13 for example).

This means that a libtevent upgrade will break any application that is not also rebuilt against the new version and upgraded at the same time.

This is the list of packages depending on libtevent in F15:
$ repoquery --whatrequires "libtevent.so.0()(64bit)"
certmonger-0:0.35.1-1.fc15.x86_64
certmonger-0:0.44-0.20110811T0107Zgit5b5bc84.fc15.x86_64
evolution-mapi-0:3.0.1-2.fc15.x86_64
evolution-mapi-0:3.0.2-2.fc15.x86_64
ldb-tools-0:0.9.10-25.fc15.x86_64
ldb-tools-0:1.0.0-2.fc15.x86_64
libldb-0:0.9.10-25.fc15.x86_64
libldb-0:1.0.0-2.fc15.x86_64
libtevent-devel-0:0.9.10-4.fc15.x86_64
openchange-0:0.9-16.fc15.x86_64
openchange-0:0.9-18.fc15.x86_64
openchange-client-0:0.9-16.fc15.x86_64
openchange-client-0:0.9-18.fc15.x86_64
pyldb-0:1.0.0-2.fc15.x86_64
python-tevent-0:0.9.10-4.fc15.x86_64
samba4-libs-0:4.0.0-25.alpha11.fc15.x86_64
sssd-0:1.5.7-1.fc15.x86_64
sssd-0:1.5.11-2.fc15.x86_64
sssd-0:1.7.0-0.20110810T1805Zgit45e6738.fc15.x86_64
sssd-tools-0:1.5.7-1.fc15.x86_64
sssd-tools-0:1.5.11-2.fc15.x86_64
sssd-tools-0:1.7.0-0.20110810T1805Zgit45e6738.fc15.x86_64

To properly fix this in F15 we should rebuild libtevent with the build fix to get back the right symbol versions. Add Conflicts in the spec file with any version of the above packages <= the current N-V-R. Rebuild all packages against the new libtevent version. And then push all of them in the updates at the same time.

Comment 1 Fedora Update System 2011-08-29 21:29:19 UTC
sssd-1.5.13-1.fc15.1,evolution-mapi-3.0.2-2.fc15.1,certmonger-0.45-1.fc15.1,openchange-0.9-18.fc15.1,samba4-4.0.0-25.alpha11.fc15.4,libldb-1.0.0-3.fc15,libtevent-0.9.13-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sssd-1.5.13-1.fc15.1,evolution-mapi-3.0.2-2.fc15.1,certmonger-0.45-1.fc15.1,openchange-0.9-18.fc15.1,samba4-4.0.0-25.alpha11.fc15.4,libldb-1.0.0-3.fc15,libtevent-0.9.13-1.fc15

Comment 2 Fedora Update System 2011-08-31 01:39:59 UTC
Package sssd-1.5.13-1.fc15.1, evolution-mapi-3.0.2-2.fc15.1, certmonger-0.45-1.fc15.1, openchange-0.9-18.fc15.1, libldb-1.0.0-3.fc15, libtevent-0.9.13-1.fc15, samba4-4.0.0-25.alpha11.fc15.5:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.5.13-1.fc15.1 evolution-mapi-3.0.2-2.fc15.1 certmonger-0.45-1.fc15.1 openchange-0.9-18.fc15.1 libldb-1.0.0-3.fc15 libtevent-0.9.13-1.fc15 samba4-4.0.0-25.alpha11.fc15.5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/sssd-1.5.13-1.fc15.1,evolution-mapi-3.0.2-2.fc15.1,certmonger-0.45-1.fc15.1,openchange-0.9-18.fc15.1,samba4-4.0.0-25.alpha11.fc15.5,libldb-1.0.0-3.fc15,libtevent-0.9.13-1.fc15
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-09-07 00:27:08 UTC
Package sssd-1.5.13-1.fc15.2, openchange-0.9-18.fc15.2, evolution-mapi-3.0.2-2.fc15.1, certmonger-0.45-1.fc15.1, libldb-1.0.0-3.fc15, libtevent-0.9.13-1.fc15, samba4-4.0.0-25.alpha11.fc15.5:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.5.13-1.fc15.2 openchange-0.9-18.fc15.2 evolution-mapi-3.0.2-2.fc15.1 certmonger-0.45-1.fc15.1 libldb-1.0.0-3.fc15 libtevent-0.9.13-1.fc15 samba4-4.0.0-25.alpha11.fc15.5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/sssd-1.5.13-1.fc15.2,evolution-mapi-3.0.2-2.fc15.1,certmonger-0.45-1.fc15.1,openchange-0.9-18.fc15.2,samba4-4.0.0-25.alpha11.fc15.5,libldb-1.0.0-3.fc15,libtevent-0.9.13-1.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-09 05:30:09 UTC
sssd-1.5.13-1.fc15.2, openchange-0.9-18.fc15.2, certmonger-0.45-1.fc15.1, libldb-1.0.0-3.fc15, libtevent-0.9.13-1.fc15, samba4-4.0.0-25.alpha11.fc15.5, evolution-mapi-3.0.3-2.fc15, evolution-exchange-3.0.3-1.fc15, evolution-3.0.3-1.fc15, evolution-data-server-3.0.3-1.fc15, gtkhtml3-4.0.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.